
<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zroot = $_SESSION["zdbroot"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];

$success = false;

$maindb = 'desig';
$file = 'desig.php';
$keyfld = "code";

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `desig` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `salary` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `desig` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `salary` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `desig`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `desig`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `salary`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT `code`, `desig`, `salary` FROM `$maindb` WHERE `code` != ''
          $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn,$query) or die(mysqli_error($conn));

$rows = array();
$ctr = 1;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'value' => $ctr,
        'desig' => $r['desig'],
        'salary' => $r['salary'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
//browse($rows);
header("Content-type: application\json");
echo json_encode($rows);